package com.yeejoin.amos.latentdanger.business.dao.mapper;


import com.yeejoin.amos.latentdanger.business.entity.mybatis.extend.LatentDangerPatrolBo;

import java.util.List;
import java.util.Map;

public interface LatentDangerPatrolMapper extends BaseMapper {

    Integer save(LatentDangerPatrolBo latentDangerPatrolBo);

    LatentDangerPatrolBo getByDangerId(Long dangerId);

    List<LatentDangerPatrolBo> listByMap(Map<String, Object> map);

    List<LatentDangerPatrolBo> listByPointId(Long pointId);

    List<LatentDangerPatrolBo> queryByPointClassifyIds(List<String> pointClassifyIds);

    void deleteByLatentDangerIds(List<Long> latentDangerIds);
}
